### Function

# PangoOT Ruleset get_for_description

since: 1.18

#### Declaration [src]

    const PangoOTRuleset*
    pango_ot_ruleset_get_for_description (
      PangoOTInfo* info,
      const PangoOTRulesetDescription* desc
    )

#### Description [src]

Returns a ruleset for the given OpenType info and ruleset description.

Rulesets are created on demand using `pango_ot_ruleset_new_from_description()`. The returned ruleset should not be modified or destroyed.

The static feature map members of `desc` should be alive as long as `info` is.

Available since: 1.18

#### Parameters

`info`

  Type: `PangoOTInfo`

  A `PangoOTInfo`

  The data is owned by the caller of the function.

`desc`

  Type: `PangoOTRulesetDescription`

  A `PangoOTRulesetDescription`

  The data is owned by the caller of the function.

#### Return value

Type: `PangoOTRuleset`

The `PangoOTRuleset` for `desc`. This object will have the same lifetime as `info`.

The data is owned by the called function.